﻿/*
Программа для работы с дисплеем от кассового аппарата "Меркурий 130К".
Контроллер дисплея Holtek HT1621B, тактируется от внутреннего RC-генератора.
Микроконтроллер ATmega48PA, тактовая частота 1 МГц.
Код написан в AVR Studio 5.1

Конфигурация фузов:
LOW  - 0x62
HIGH - 0xDF

Подключение дисплея:
PD5 - CS
PD4 - DAT
PD3 - WR
PD6 - RD

Автор: Шутов Максим [Zlodey]
masya-chel@mail.ru
https://vk.com/zateykin
Best regards to Kolhoz-Devices Inc.
kdevices@mail.ru
г.Москва
Май 2020 г.
*/


#include "main.h"


int main (void)
{
	// Инициализация последовательной шины
	Serial_Bus_Init();
	// Инициализация дисплея
	Display_Init();
	
	while(1)
	{
		// Примеры работы с дисплеем
		// Тест всех сегментов дисплея
		Display_Clear();
		Display_Test();
		Display_Update();
		_delay_ms(2000);
		
		// Тест вывода цифр и символов
		Display_Clear();
		Display_Sym(0,SYM_MINUS);
		Display_Sym(1,2);
		Display_Sym(2,3);
		Display_Sym(3,SYM_DEGREE);
		Display_Sym(6,2);
		Display_Sym(7,3);
		Display_Sym(8,SYM_MINUS);
		Display_Sym(9,5);
		Display_Sym(10,9);
		Display_Update();
		_delay_ms(2000);
		
		// Тест вывода числа
		Display_Clear();
		Display_Num(1,6750981349);
		Display_Update();
		_delay_ms(2000);
	}
}

